#Script by Fred Broders / Sebastian Jauch


#!/bin/sh
CWD=`pwd`
PKG=/tmp/package-sylpheed

VERSION=2.6.0
ARCH=i486
BUILD=60.1

LIBDIR=lib
SLKCFLAGS="-O2 -march=i486 -mtune=i686"

rm -rf $PKG
mkdir -p $PKG
cd /tmp
rm -rf sylpheed-$VERSION
tar jxvf $CWD/sylpheed-$VERSION.tar.bz2

cd sylpheed-$VERSION
#patch -p1 < $CWD/sylpheed-2.2-replace-aspell-with-enchant.diff
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
find . -perm 664 -exec chmod 644 {} \;
CFLAGS="$SLKCFLAGS" \
./configure \
  --prefix=/usr \
  --libdir=/usr/$LIBDIR \
  --sysconfdir=/etc \
  --localstatedir=/var/lib \
  --disable-compface
  --enable-gtkspell
  
make
make install DESTDIR=$PKG
( cd $PKG
  find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
  find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/sylpheed-$VERSION
cp -a \
  ChangeLog ChangeLog.ja README.ja TODO.ja ABOUT-NLS TODO NEWS README \
  $PKG/usr/doc/sylpheed-$VERSION
mkdir -p $PKG/usr/share/pixmaps
cp -a \
 sylpheed-128x128.png sylpheed-64x64.png sylpheed.png \
 $PKG/usr/share/pixmaps
mkdir -p $PKG/usr/share/applications

#cp -a sylpheed.desktop $PKG/usr/share/applications/ 
sed -e 's/sylpheed\.png/sylpheed/' sylpheed.desktop > $PKG/usr/share/applications/sylpheed.desktop

mkdir -p $PKG/usr/src/sylpheed-$VERSION/
cp $CWD/build-sylpheed.sh  $PKG/usr/src/sylpheed-$VERSION/
cp $CWD/sylpheed-2.2-replace-aspell-with-enchant.diff $PKG/usr/src/sylpheed-$VERSION/


#Move icons from /usr/share/pixmap to /usr/share/icons/hicolor/
mkdir -p $PKG/usr/share/icons/hicolor/48x48/apps/
mkdir -p $PKG/usr/share/icons/hicolor/64x64/apps/
mkdir -p $PKG/usr/share/icons/hicolor/128x128/apps/

mv $PKG/usr/share/pixmaps/sylpheed.png $PKG/usr/share/icons/hicolor/48x48/apps/ || exit 1
mv $PKG/usr/share/pixmaps/sylpheed-64x64.png $PKG/usr/share/icons/hicolor/64x64/apps/ || exit 1
mv $PKG/usr/share/pixmaps/sylpheed-128x128.png $PKG/usr/share/icons/hicolor/128x128/apps/ || exit 1
rmdir $PKG/usr/share/pixmaps/

mkdir -p $PKG/install
#
# make a slack-desc file
#
cat <<"EOF" > $PKG/install/slack-desc
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description.  Line
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in.  You must
# make exactly 11 lines for the formatting to be correct.  It's also
# customary to leave one space after the ':'.
        |-----handy-ruler--------------------------------------------|
sylpheed: sylpheed A Mail Client for X in GTK2
sylpheed:
sylpheed: Sylpheed is a GTK2 mail client with lots of features.
sylpheed: Image support, GnuPG, SSL, iconv, ipV6 enabled
sylpheed:
sylpheed:
sylpheed:
sylpheed:
sylpheed:
sylpheed: 
sylpheed:
EOF

cd $PKG
makepkg -l y -c n ../sylpheed-$VERSION-$ARCH-$BUILD.tgz
cd ..
md5sum sylpheed-$VERSION-$ARCH-$BUILD.tgz > sylpheed-$VERSION-$ARCH-$BUILD.md5
